﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Text.RegularExpressions;
using Microsoft.Phone.Tasks;

namespace LaunchersAndChoosers.Views
{
    public partial class SaveContactInfoPage : PhoneApplicationPage
    {
        private SavePhoneNumberTask savePhoneNumberTask;

        public SaveContactInfoPage()
        {
            InitializeComponent();
            savePhoneNumberTask = new SavePhoneNumberTask();
            //声明一个监听，监听保存完成后的返回值
            savePhoneNumberTask.Completed += new EventHandler<TaskEventArgs>(savePhoneNumberTask_Completed);
        }

        void savePhoneNumberTask_Completed(object sender, TaskEventArgs e)
        {
            if (e.TaskResult==TaskResult.OK)
            {
                MessageBox.Show("电话号码保存成功","成功",MessageBoxButton.OK);
            }
            else
            {
                MessageBox.Show("你电话号码：" + e.Error.Message + " 保存失败", "失败", MessageBoxButton.OK);
            }
        }
        //保存命令
        private void btnSavePhone_Click(object sender, RoutedEventArgs e)
        {
            //正则表达式验证，参数1要验证的值，参数二要验证的正则表达式，参数三处理类型
            if (Regex.IsMatch(txtInput.Text,App.phoneNumberPattern,RegexOptions.IgnoreCase))
            {
                if (null!=savePhoneNumberTask)
                {
                    savePhoneNumberTask.PhoneNumber = txtInput.Text;
                    savePhoneNumberTask.Show();
                    txtInput.Text = "";
                }
                else
                {
                    MessageBox.Show("你的电话号码格式错误","验证输入",MessageBoxButton.OK);
                }
            }
        }
    }
}